# diy contacts importer

This repo is just a place to dump experimental scripts to import VCF files.

**The use case for it is:**

- To allow a Librem 5 user that is migrating from Android to move his contacts as a vcf file to the Librem 5 and import

This issue is common to all projects that used Evolution (the database backend of gnome contacts) to manage contacts: Openmoko, Uuntu Touch

**Dependencies:** 

- `yad`
- `syncevolution`
- `sed`
- `awk`
- `libnotify-bin`

**logic:** This script breaks down a vcf file with multiple contacts into multiple files. One vcard file per contact entry and imports them one by one.

The reason for this is that importing all the contacts at once from one single file with `syncevolution` is error prone.

**Current State:** if you run the command `./contacts-importer.sh` it will show a yad/gtk window for the user to select the vcard file and import contacts to `GNOME Contacts`. 

**problems:** See the issues list.

This is only a quick and dirty bash script to do this task.

The proper way to do this: "having a easy way to import vcard files to the Librem 5/PureOS and GNOME, with GNOME Contacts and Evolution Data Server as a backend"

Would be to: 

1. Someone writing a python/gtk application to do this.
2. (And even better) Someone submiting a patch to GNOME-Contacts for that application to support importing vcard files.

- https://gitlab.gnome.org/GNOME/gnome-contacts
- https://developer.gnome.org/eds/3.22/

**Other References:** 
- http://wiki.openmoko.org/wiki/Import_Vcf_Contacts#Import_and_Manage_Scripts
- https://www.isticktoit.net/?p=1536
- https://help.ubuntu.com/community/SyncEvolution/Synchronize-evolution-data-with-caldav-cardav-server
- https://syncevolution.org/wiki/thunderbird-phone-sync
- https://askubuntu.com/questions/360466/how-do-i-sync-contacts-on-ubuntu-touch
